### Method

# Json Parser load_from_file

#### Declaration [src]

    gboolean
    json_parser_load_from_file (
      JsonParser* parser,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads a JSON stream from the content of `filename` and parses it.

If the file is large or shared between processes, `json_parser_load_from_mapped_file()` may be a more efficient way to load it.

See also: `json_parser_load_from_data()`

#### Parameters

`filename`

  Type: `const gchar*`

  The path for the file to parse.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was successfully loaded and parsed.